vBulletin Mods

The Official vBulletin Modifications Site
https://www.vbulletin.org/forum/showthread.php?t=203353

Sorky 31 May 2009 03:55

Quote:

Originally Posted by Budweiser (Post 1819875)
I did load another mod which seems to be in conflict with "Sorky Sub Forum List Control"
The mod is "Forum Minimum Age Restriction"

It certainly stops the show/hide and quite a lot more!!!

His mod will probably conflict with quite a few others as he makes a copy of the templates and then clears them before my Mod has a chance to dynamically modify them. Its a bit hard to modify something that isn't there ;)

The best fix is I believe to make his Mod copy and clear the the templates after we have a chance to modify them ;) Just make the following change...
Plugins & Products
Plugin Manager
Product : Forum Minimum Age / Datastore cache templates
  • Hook Location = parse_templates
  • Execution Order = 9
PS: For some reason I seemed to have to refresh my browser once or twice to get it to kick in.

stamos2003 31 May 2009 13:02

thanks!
got a problem here though, after installing and setting up:
Warning: Unexpected character in input: '' (ASCII=30) state=2 in ....../forum/includes/functions_forumlist.php(501) : eval()'d code on line 1

Sorky 31 May 2009 22:15

Quote:

Originally Posted by stamos2003 (Post 1820613)
thanks!
got a problem here though, after installing and setting up:
Warning: Unexpected character in input: '' (ASCII=30) state=2 in ....../forum/includes/functions_forumlist.php(501) : eval()'d code on line 1

If you can send me a URL and access, I'll be happy to take a look.

W!cKeD 31 May 2009 22:17

* Thanks & Installed * :up:

stamos2003 02 Jun 2009 08:40

Quote:

Originally Posted by Sorky (Post 1820886)
If you can send me a URL and access, I'll be happy to take a look.

I downgraded to 1.6.2 and it works fine :)

Sorky 02 Jun 2009 13:03

Quote:

Originally Posted by stamos2003 (Post 1821877)
I downgraded to 1.6.2 and it works fine :)

I'm still interested to know why it is a problem for you and if it will be a problem for others... Do you have a test system I can access? Or just PM me your site URL (without any access) so I can see if there is anything obvious.

Budweiser 04 Jun 2009 18:30

Hey Sorky.
I have a problem since I upgraded to the latest version. After logging in I get forced off at random. I first thought it was the browser being buggy or a new style I installed but it seems to only fail when the mod is enabled.

I use Firefox mostly but also tried IE. I cleared cookies and cache, rebooted, and also tried two different computers. I searched vbulletin.com and set the cookie setting back to defaults with the tools.php file. I disabled version 1.7.1 and had no issues so I downloaded and installed it again (without an uninstall first) but the problem returned after enabling the mod.

I haven't tried to uninstall or to install an earlier version yet. Can you take a look?
www.usamusicians.com/forum

Thanks.

Sorky 05 Jun 2009 12:07

Quote:

Originally Posted by Budweiser (Post 1823452)
Can you take a look?

Sure - I did but nothing jumps out at me...I see you have made good use of the expand/collapse for different forums and the different widths - looks excellent ;-)

When you say you get forced off, I'm assuming you are talking about being logged off. I can't see how the heck that could happen. If you turn on the debug option, I can look at the settings. How was 1.7.0? I can look at the code diffs, but nothing jumps out at me.

Budweiser 05 Jun 2009 14:03

Quote:

Originally Posted by Sorky (Post 1823839)
How was 1.7.0?

I went from 1.6.0 to 1.7.1
After this weekend I should have a little time to experiment. I will load a few of the other versions to see what difference it makes.
Quote:

Originally Posted by Sorky (Post 1823839)
When you say you get forced off, I'm assuming you are talking about being logged off.

Yes, I get logged off...
Quote:

Originally Posted by Sorky (Post 1823839)
If you turn on the debug option, I can look at the settings.

I turned it on


If you want to log in, I have a test login.... username: "testuser" pass: "test"
It usually doesnt take long to get kicked off...

Sorky 06 Jun 2009 04:38

Quote:

Originally Posted by Budweiser (Post 1823895)
If you want to log in, I have a test login.... username: "testuser" pass: "test"
It usually doesnt take long to get kicked off...

It seems to behave in IE for me, but in FF I see what you mean!!! The settings and the page source all look correct and nothing strange that I can see... Very odd.

I've tested my own sites and have never seen anything like this no matter what browser or server and I have never had anything like this reported either. I'm guessing there must be an interaction issue somewhere.

From here it is the normal routine of debugging...
1) Disable all PlugIns and then enable mine (one hook at a time if necessary) then all the others to see where the problem comes from.

2) If it is only due to my Mod, then have to look at any template changes (try the default style)

3) If it still happens with the default style, then you'd have to check any manual changes to the installed PHP.

4) Try the previous versions of my Mod to see when the problem started and look at the changes
I you want to PM me an admin login I will be happy to run through that routine

Budweiser 09 Jun 2009 17:56

Ok. I did some work yesterday and was able to get site to stop forcing a log off. The bottom line: I had to load version 1.5.2

I started by removing all styles except for the default vbulletin style. I then disabled all plugins (except for yours) and was still being logged off. I then uninstalled v1.7.1 and installed the most recent prior version. The problem continued through all of the versions except or 1.5.2 (which I originally had installed)

The site isnt open yet so there hasnt been much activity. I originally installed vb3.8.1 and have since upgraded to 3.8.2. I have made a couple edits to php but nothing major. I kept a short list of any of the changes. Here is the list I kept:

Quote:

Email Que Cron add-on: Cron based e-mail sending
Edited admincp/email.php and includes/functions.php

Log in as user add-on: Admin Log In As User
Made template edit so the link is visabe on the members profile page
Added text to MEMBERINFO

Welcome Headers add-on: Welcome headers - Improve community registration rates
Removed the existing forumhome header info from the "FORUMHOME" template

Banned members log add-on: Banned Members Log
Added line to /includes/config.php
Other than these edits there was nothing changed from the base vbulletin 3.8.2. No styles, or plugins and the other versions still didn't work. I am ok with using version 1.5.2 but thought the feature with the cookies was nice. Do you think something above may be in conflict?

Sorky 10 Jun 2009 00:27

Quote:

Originally Posted by Budweiser (Post 1826510)
Other than these edits there was nothing changed from the base vbulletin 3.8.2. No styles, or plugins and the other versions still didn't work. I am ok with using version 1.5.2 but thought the feature with the cookies was nice. Do you think something above may be in conflict?

The fact that 1.5.2 works and it starts to cause issues after that pretty much has to be the cookies as that was the change from 1.5.2 to 1.6.0 and it was pretty small.

I ran 3.8.2 [clean] on my system and no probs, so I guess there is something in those changes you mentioned - Do any of them change the fetch_cookie or set_cookie functions? I guess the only way to be 100% sure is to run without them as well.

Another way to see if it is the cookies would be to remove lines 583, 576, 568 and 564 from the 1.7.1 version XML file (Note: the reverse order for deleting to not re-number the lines). Expand/Collapse will break, but at least we'll know it is the cookies - why becomes the next question

PS: Had a quick look at those other modifications and the "Admin Log In As User" plays with cookies, so it may be the place to start if cookies are the issue

abrecher 10 Jun 2009 18:54

When I use the latest version (1.7.1) my forum doesn't load. When I revert to versioon Version: 1.5.1 everything works ok. Any ideas ?

Sorky 11 Jun 2009 01:00

Quote:

Originally Posted by abrecher (Post 1827109)
When I use the latest version (1.7.1) my forum doesn't load. When I revert to versioon Version: 1.5.1 everything works ok. Any ideas ?

PM me you URL and I'll look at it. If you can give me admin access and to a test site or do not mind if I add/remove the plugins I'll test it out.

Sorky 11 Jun 2009 23:25

Quote:

Originally Posted by abrecher (Post 1827109)
When I use the latest version (1.7.1) my forum doesn't load. When I revert to versioon Version: 1.5.1 everything works ok. Any ideas ?

Thanks for the link & login. Couldn't login but looking at your site was enough to show me you were using the 3.7.x version. To upgrade to the 3.8.x version you have to make sure you uninstall the old one after recording your settings as the 3.8 version uses a different product ID


All times are GMT. The time now is 00:23.

Powered by vBulletin® Version 3.8.14
Copyright © 2021, MH Sub I, LLC dba vBulletin. All Rights Reserved. vBulletin® is a registered trademark of MH Sub I, LLC
Copyright ©2001 - , vbulletin.org. All rights reserved.